MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
sc::TwoBodyTwoCenterDerivInt Class Referenceabstract

This is an abstract base type for classes that compute two centers integrals involving two electrons. More...

`#include <tbint.h>`

Inheritance diagram for sc::TwoBodyTwoCenterDerivInt:
[legend]
Collaboration diagram for sc::TwoBodyTwoCenterDerivInt:
[legend]

## Public Member Functions
int | nbasis () const
| Return the number of basis functions on center one.
int | nbasis1 () const
| Return the number of basis functions on center one.
int | nbasis2 () const
| Return the number of basis functions on center two.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on center one.
int | nshell2 () const
| Return the number of shells on center two.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis2 ()
| Return the basis set on center two.
const double * | buffer () const
| The computed shell integrals will be put in the buffer returned by this member.
virtual void | compute_shell (int, int, DerivCenters &)=0
| Given for shell indices, this will cause the integral buffer to be filled in. More...
virtual int | log2_shell_bound (int=-1, int=-1)=0
| Return log base 2 of the maximum magnitude of any integral in a shell block. More...
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
| TwoBodyTwoCenterDerivInt (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2)
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Protected Attributes
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
double * | buffer_

## Detailed Description

This is an abstract base type for classes that compute two centers integrals involving two electrons.

## Member Function Documentation

virtual void sc::TwoBodyTwoCenterDerivInt::compute_shell | ( | int | ,
|  | int | ,
|  | DerivCenters & |
| ) |  |
| pure virtual

Given for shell indices, this will cause the integral buffer to be filled in.

virtual int sc::TwoBodyTwoCenterDerivInt::log2_shell_bound | ( | int | = `-1`,
|  | int | = `-1`
| ) |  |
| pure virtual

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

The documentation for this class was generated from the following file:

- tbint.h